Retrieve all trading instruments
Retrieves all available trading instruments with optional filtering capabilities. This endpoint returns a comprehensive list of instruments available for trading, with support for filtering by security type and various trading capabilities. All filter parameters are optional and can be combined to narrow down results.
typeFilter=EQUITY&typeFilter=CRYPTO. In the playground, separate values with commas.BUY_AND_SELL means trading is open, LIQUIDATION_ONLY means you can only sell, and DISABLEDmeans the instrument can't be traded.List stocks and ETFs that can be traded in fractional shares. The code samples and the playground use this request.
Optional set of security types to filter by
Optional set of trading statuses to filter by
Optional set of fractional trading statuses to filter by
Optional set of option trading statuses to filter by
Optional set of option spread trading statuses to filter by
| Name | Type | Required | Description |
|---|---|---|---|
| typeFilter | arrayEQUITYOPTIONMULTI_LEG_INSTRUMENTCRYPTOALTTREASURYBONDINDEXEVENTCONTRACT | No | Optional set of security types to filter by |
| tradingFilter | arrayBUY_AND_SELLLIQUIDATION_ONLYDISABLED | No | Optional set of trading statuses to filter by |
| fractionalTradingFilter | arrayBUY_AND_SELLLIQUIDATION_ONLYDISABLED | No | Optional set of fractional trading statuses to filter by |
| optionTradingFilter | arrayBUY_AND_SELLLIQUIDATION_ONLYDISABLED | No | Optional set of option trading statuses to filter by |
| optionSpreadTradingFilter | arrayBUY_AND_SELLLIQUIDATION_ONLYDISABLED | No | Optional set of option spread trading statuses to filter by |
No request body defined
{
"instruments": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"trading": "BUY_AND_SELL",
"fractionalTrading": "BUY_AND_SELL",
"optionTrading": "BUY_AND_SELL",
"optionSpreadTrading": "BUY_AND_SELL",
"instrumentDetails": null,
"shortingAvailability": "NOT_SHORTABLE",
"hardToBorrowPercentageRate": "string",
"optionContractPriceIncrements": {
"incrementBelow3": "string",
"incrementAbove3": "string"
},
"exchange": "string",
"exchangeName": "string"
}
]
}